---
title: Ansible Wiki JiffyBox Host
tags:
- ansible
---
# Adding a new JiffyBox

Login to your JiffyBox account at https://admin.jiffybox.de and add a new host by giving it a unique name, selecting a tarif and one of the Ubuntu distributions and defining a root password which is only going to be used for initial setup. It is recommended to use the same password which you have configured as your personal password in the Ansible vault.

When the host has been created, start it up in your JiffyBox control panel and as soon as it is available, go to your terminal, change to your Ansible directory and follow these steps:

```
cloud/jiffybox.py --list --refresh-cache
cloud/jiffybox.py --host=NEWHOSTNAME --set-host-groups=GROUPS
cloud/jiffybox.py --list --refresh-cache
```

Replace `NEWHOSTNAME` with the same name that you've defined in your JiffyBox account and for `GROUPS` define a comma separated list with valied group names, e.g. `webserver,webserver_drupal,dbserver,dbserver_mysql`

The final step should confirm that the new host exists and is assigned to the correct groups. If that's the case, proceed to the [next steps](hosts/add#next-steps).
